var Word_Scale = d3.scale.linear().range([10,60]);
var width = 800, height = 400;
var fill = d3.scale.category20();

var loadJSON = function(fileName){
   
d3.json(fileName, function(data) {    
     
var list = data
.filter(function(d) {return +d.size > 0; })
.map(function(d) {return {text: d.text, size: +d.size}; })
.sort(function(a,b) {return d3.descending(a.size,b.size); }) // descending
.slice(0,120);
 
Word_Scale.domain([
    d3.min(list, function(d) { return d.size;}),
    d3.max(list, function(d) { return d.size;})
]);
 
var layout = d3.layout.cloud()
    .size([width, height])
    .words(list)
    .padding(0)
    .rotate(function() { return ~~(Math.random() * 2); }) // *90
    .font("Impact")
    .fontSize(function(d) { return Word_Scale(d.size); }) // Word_Scale(d.size)
    .on("end", draw);     
layout.start();        
}); 
      };

loadJSON('student.json');


function draw(words) {
 d3.select("#word-cloud").append("svg")
      .attr("width", width)
      .attr("height", height)
      .append("g")
      .attr("transform", "translate(" + width / 2 + "," + height / 2 + ")")
      .selectAll("text")
      .data(words)
      .enter().append("text")
      .style("font-size", function(d) { return d.size + "px"; })
      .style("font-family", "Impact")
      .style("fill", function(d, i) { return fill(i); })
      .attr("text-anchor", "middle")
      .attr("transform", function(d) {
        return "translate(" + [d.x, d.y] + ")rotate(" + d.rotate + ")";
      })
      .text(function(d) { return d.text; }); 
}	

        



